package com.ruoyi.ems.domain;

import java.sql.Time;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电力负荷设施指标对象 adm_ems_elec_load_index
 * 
 * @author ruoyi
 * @date 2024-09-27
 */
public class ElecLoadIndex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 对象类型 */
    @Excel(name = "对象类型")
    private Long objType;

    /** 对象编码 */
    @Excel(name = "对象编码")
    private String objCode;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recordTime;

    /** 日期 yyyy-MM-dd */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期 yyyy-MM-dd", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 时间 HH:mm:ss */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "时间 HH:mm:ss", width = 30, dateFormat = "yyyy-MM-dd")
    private Time time;

    /** 事件序列 */
    @Excel(name = "事件序列")
    private Integer timeIndex;

    /** 电压 单位：V（伏） */
    @Excel(name = "A相电压")
    private Double ua;

    /** 电压 单位：V（伏） */
    @Excel(name = "B相电压")
    private Double ub;

    /** 电压 单位：V（伏） */
    @Excel(name = "C相电压")
    private Double uc;

    /** 电流 单位：A（伏） */
    @Excel(name = "A相电流")
    private Double la;

    /** 电流 单位：A（伏） */
    @Excel(name = "B相电流")
    private Double lb;

    /** 电流 单位：A（伏） */
    @Excel(name = "C相电流")
    private Double lc;

    /** 有功总功率 */
    @Excel(name = "有功总功率")
    private Double p;

    /** A相有功功率 */
    @Excel(name = "A相有功功率")
    private Double pa;

    /** B相有功功率 */
    @Excel(name = "B相有功功率")
    private Double pb;

    /** C相有功功率 */
    @Excel(name = "C相有功功率")
    private Double pc;

    /** 无功总功率 */
    @Excel(name = "无功总功率")
    private Double q;

    /** A相无功总功率 */
    @Excel(name = "A相无功总功率")
    private Double qa;

    /** B相无功总功率 */
    @Excel(name = "B相无功总功率")
    private Double qb;

    /** C相无功总功率 */
    @Excel(name = "C相无功总功率")
    private Double qc;

    /** 功率因素 */
    @Excel(name = "功率因素")
    private Double pf;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Long getObjType() {
        return objType;
    }

    public void setObjType(Long objType) {
        this.objType = objType;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Time getTime() {
        return time;
    }

    public void setTime(Time time) {
        this.time = time;
    }

    public Integer getTimeIndex() {
        return timeIndex;
    }

    public void setTimeIndex(Integer timeIndex) {
        this.timeIndex = timeIndex;
    }

    public Double getUa() {
        return ua;
    }

    public void setUa(Double ua) {
        this.ua = ua;
    }

    public Double getUb() {
        return ub;
    }

    public void setUb(Double ub) {
        this.ub = ub;
    }

    public Double getUc() {
        return uc;
    }

    public void setUc(Double uc) {
        this.uc = uc;
    }

    public Double getLa() {
        return la;
    }

    public void setLa(Double la) {
        this.la = la;
    }

    public Double getLb() {
        return lb;
    }

    public void setLb(Double lb) {
        this.lb = lb;
    }

    public Double getLc() {
        return lc;
    }

    public void setLc(Double lc) {
        this.lc = lc;
    }

    public Double getP() {
        return p;
    }

    public void setP(Double p) {
        this.p = p;
    }

    public Double getPa() {
        return pa;
    }

    public void setPa(Double pa) {
        this.pa = pa;
    }

    public Double getPb() {
        return pb;
    }

    public void setPb(Double pb) {
        this.pb = pb;
    }

    public Double getPc() {
        return pc;
    }

    public void setPc(Double pc) {
        this.pc = pc;
    }

    public Double getQ() {
        return q;
    }

    public void setQ(Double q) {
        this.q = q;
    }

    public Double getQa() {
        return qa;
    }

    public void setQa(Double qa) {
        this.qa = qa;
    }

    public Double getQb() {
        return qb;
    }

    public void setQb(Double qb) {
        this.qb = qb;
    }

    public Double getQc() {
        return qc;
    }

    public void setQc(Double qc) {
        this.qc = qc;
    }

    public Double getPf() {
        return pf;
    }

    public void setPf(Double pf) {
        this.pf = pf;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("objType", getObjType())
            .append("objCode", getObjCode())
            .append("recordTime", getRecordTime())
            .append("date", getDate())
            .append("time", getTime())
            .append("timeIndex", getTimeIndex())
            .append("ua", getUa())
            .append("ub", getUb())
            .append("uc", getUc())
            .append("la", getLa())
            .append("lb", getLb())
            .append("lc", getLc())
            .append("p", getP())
            .append("pa", getPa())
            .append("pb", getPb())
            .append("pc", getPc())
            .append("q", getQ())
            .append("qa", getQa())
            .append("qb", getQb())
            .append("qc", getQc())
            .append("pf", getPf())
            .toString();
    }
}
